import App from './App'

// #ifndef VUE3
import Vue from 'vue'
import store from './store'
import global from './utils/global.js';
Vue.config.productionTip = false
Vue.prototype.$store = store;
Vue.prototype.$global=global;
App.mpType = 'app'
const app = new Vue({
    ...App
})
app.$mount()
// #endif

// #ifdef VUE3
import { createSSRApp } from 'vue'
export function createApp() {
  const app = createSSRApp(App)
  return {
    app,
	 store,
	  global
  }
}
// #endif